<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: DaqLSCXG Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DaqLSCXG Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DaqLSCXG:</div>
<div class="dyncontent">
<div class="center"><img src="classDaqLSCXG__inherit__graph.png" border="0" usemap="#DaqLSCXG_inherit__map" alt="Inheritance graph"/></div>
<map name="DaqLSCXG_inherit__map" id="DaqLSCXG_inherit__map">
<area shape="rect" id="node30" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="1147,247,1258,273"/><area shape="rect" id="node2" href="classSLINK__opt.html" title="SLINK_opt" alt="" coords="849,183,937,209"/><area shape="rect" id="node3" href="classreset__resync.html" title="reset_resync(6)" alt="" coords="160,419,283,445"/><area shape="rect" id="node7" href="classevent__generator.html" title="event_generator(2)" alt="" coords="391,309,537,336"/><area shape="rect" id="node4" href="classfed__itf.html" title="fed_itf" alt="" coords="668,208,732,235"/><area shape="rect" id="node5" href="classfreq__measure.html" title="freq_measure(2)" alt="" coords="399,208,529,235"/><area shape="rect" id="node6" href="classreset__resync.html" title="reset_resync" alt="" coords="169,165,274,192"/><area shape="rect" id="node8" href="classgenerate__3.html" title="generate_3(2)" alt="" coords="165,368,278,395"/><area shape="rect" id="node9" href="classresync.html" title="resync(8)" alt="" coords="180,216,263,243"/><area shape="rect" id="node10" href="classtrigger__gen.html" title="trigger_gen(2)" alt="" coords="164,267,279,293"/><area shape="rect" id="node11" href="classresync.html" title="resync(6)" alt="" coords="5,267,88,293"/><area shape="rect" id="node12" href="classmemory__rnd.html" title="memory_rnd(2)" alt="" coords="160,317,283,344"/><area shape="rect" id="node13" href="classresync.html" title="resync(4)" alt="" coords="5,317,88,344"/><area shape="rect" id="node14" href="classlpm__fifo.html" title="lpm_fifo" alt="" coords="9,368,84,395"/><area shape="rect" id="node15" href="classFIFO__sync.html" title="FIFO_sync(2)" alt="" coords="411,157,517,184"/><area shape="rect" id="node16" href="classlpm__fifo__dc.html" title="lpm_fifo_dc(2)" alt="" coords="164,115,279,141"/><area shape="rect" id="node17" href="classCRC__SLINKx.html" title="CRC_SLINKx(2)" alt="" coords="405,259,523,285"/><area shape="rect" id="node18" href="classCore__logic.html" title="Core_logic" alt="" coords="655,31,745,57"/><area shape="rect" id="node19" href="classMemory.html" title="Memory" alt="" coords="427,5,501,32"/><area shape="rect" id="node20" href="classbuild__pckt__s.html" title="build_pckt_s" alt="" coords="649,157,751,184"/><area shape="rect" id="node21" href="classcrc__gen__usb__32to16.html" title="crc_gen_usb_32to16" alt="" coords="387,107,541,133"/><area shape="rect" id="node22" href="classrcv__pckt__s.html" title="rcv_pckt_s" alt="" coords="655,107,745,133"/><area shape="rect" id="node23" href="classresync.html" title="resync(2)" alt="" coords="423,56,505,83"/><area shape="rect" id="node24" href="classserdes5__wrapper.html" title="serdes5_wrapper" alt="" coords="827,381,960,408"/><area shape="rect" id="node25" href="classserdes5GpdProd__init.html" title="serdes5GpdProd_init" alt="" coords="622,448,778,475"/><area shape="rect" id="node26" href="classserdes5GpdProd.html" title="serdes5GpdProd" alt="" coords="400,477,528,504"/><area shape="rect" id="node27" href="classserdes5GpdProd__GT.html" title="serdes5GpdProd_GT(3)" alt="" coords="136,477,307,504"/><area shape="rect" id="node28" href="classserdes5GpdProd__TX__STARTUP__FSM.html" title="serdes5GpdProd_TX_STARTUP\l_FSM(3)" alt="" coords="355,529,573,570"/><area shape="rect" id="node29" href="classserdes5GpdProd__RX__STARTUP__FSM.html" title="serdes5GpdProd_RX_STARTUP\l_FSM(3)" alt="" coords="355,411,573,453"/><area shape="rect" id="node31" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="1307,247,1397,273"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDaqLSCXG-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDaqLSCXG_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classDaqLSCXG.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classDaqLSCXG.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0feb43b36d5d47791747901ca6de4ced"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0feb43b36d5d47791747901ca6de4ced"></a>
<a class="el" href="classDaqLSCXG.html#a0feb43b36d5d47791747901ca6de4ced">mydefs</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classmydefs.html"> &lt;mydefs&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classDaqLSCXG.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a364045afd56eafbe314d59dada020ab6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a364045afd56eafbe314d59dada020ab6"></a>
<a class="el" href="classDaqLSCXG.html#a364045afd56eafbe314d59dada020ab6">sys_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2d7ae60500687e859d5f84200090aab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2d7ae60500687e859d5f84200090aab"></a>
<a class="el" href="classDaqLSCXG.html#ab2d7ae60500687e859d5f84200090aab">sys_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc0df65d714a189d0b39ce921a27d184"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc0df65d714a189d0b39ce921a27d184"></a>
<a class="el" href="classDaqLSCXG.html#acc0df65d714a189d0b39ce921a27d184">sfp_pd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3x2</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3521c9a523b1ce6d8f7728d86c77270a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3521c9a523b1ce6d8f7728d86c77270a"></a>
<a class="el" href="classDaqLSCXG.html#a3521c9a523b1ce6d8f7728d86c77270a">DRP_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ada3efca9ee50611cfcc236d5c7b04260"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada3efca9ee50611cfcc236d5c7b04260"></a>
<a class="el" href="classDaqLSCXG.html#ada3efca9ee50611cfcc236d5c7b04260">LinkWe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f4193ed3fa8de0b6873acd8d26da65f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f4193ed3fa8de0b6873acd8d26da65f"></a>
<a class="el" href="classDaqLSCXG.html#a8f4193ed3fa8de0b6873acd8d26da65f">LinkCtrl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaba645d9af6721b2618060d949ba68dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaba645d9af6721b2618060d949ba68dc"></a>
<a class="el" href="classDaqLSCXG.html#aaba645d9af6721b2618060d949ba68dc">LinkData</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3x64</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ef8ea575e4cc6d27caca00f8393208a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ef8ea575e4cc6d27caca00f8393208a"></a>
<a class="el" href="classDaqLSCXG.html#a6ef8ea575e4cc6d27caca00f8393208a">srcID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3x16</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c583042c9fbfe8a658df937003f3044"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c583042c9fbfe8a658df937003f3044"></a>
<a class="el" href="classDaqLSCXG.html#a0c583042c9fbfe8a658df937003f3044">LinkDown</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3eee6a3921a9b33ba7ca7ff63dfb0f28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3eee6a3921a9b33ba7ca7ff63dfb0f28"></a>
<a class="el" href="classDaqLSCXG.html#a3eee6a3921a9b33ba7ca7ff63dfb0f28">LinkFull</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49095e8dcf2ff6ed8a4c1a482f24ee1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49095e8dcf2ff6ed8a4c1a482f24ee1d"></a>
<a class="el" href="classDaqLSCXG.html#a49095e8dcf2ff6ed8a4c1a482f24ee1d">sync_loss</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6a383501edf6e5fd4a365627f15091d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a383501edf6e5fd4a365627f15091d2"></a>
<a class="el" href="classDaqLSCXG.html#a6a383501edf6e5fd4a365627f15091d2">status_ce</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af19cfebb9b38b0dd0a90e7ec00db5b9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af19cfebb9b38b0dd0a90e7ec00db5b9b"></a>
<a class="el" href="classDaqLSCXG.html#af19cfebb9b38b0dd0a90e7ec00db5b9b">status_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad3137d1bb2e1eeae56cb65fb20ecf405"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3137d1bb2e1eeae56cb65fb20ecf405"></a>
<a class="el" href="classDaqLSCXG.html#ad3137d1bb2e1eeae56cb65fb20ecf405">status_port</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">array3x64</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa761bc3f66782aa61149f16186f85aab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa761bc3f66782aa61149f16186f85aab"></a>
<a class="el" href="classDaqLSCXG.html#aa761bc3f66782aa61149f16186f85aab">txusrclk_o</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae133b0c9ba61f2e2875dcbeab91a57dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae133b0c9ba61f2e2875dcbeab91a57dc"></a>
<a class="el" href="classDaqLSCXG.html#ae133b0c9ba61f2e2875dcbeab91a57dc">rxusrclk_o</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac3db9beeb50eaaed2f581d8010e2b0d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3db9beeb50eaaed2f581d8010e2b0d9"></a>
<a class="el" href="classDaqLSCXG.html#ac3db9beeb50eaaed2f581d8010e2b0d9">gtx_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab04bf7949356c4ebe73f3ec538193a42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab04bf7949356c4ebe73f3ec538193a42"></a>
<a class="el" href="classDaqLSCXG.html#ab04bf7949356c4ebe73f3ec538193a42">gtx_refclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6e381fa0cf737c21a5f243a0832be6ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e381fa0cf737c21a5f243a0832be6ec"></a>
<a class="el" href="classDaqLSCXG.html#a6e381fa0cf737c21a5f243a0832be6ec">sfp_rxn</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7e242f6fad1574180b8e6b654be1e376"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e242f6fad1574180b8e6b654be1e376"></a>
<a class="el" href="classDaqLSCXG.html#a7e242f6fad1574180b8e6b654be1e376">sfp_rxp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a7af098f4136cf2e0137ff0db90d087"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7af098f4136cf2e0137ff0db90d087"></a>
<a class="el" href="classDaqLSCXG.html#a1a7af098f4136cf2e0137ff0db90d087">sfp_txn</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24266be1b19ba8cbf9bd697e9da2f380"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24266be1b19ba8cbf9bd697e9da2f380"></a>
<a class="el" href="classDaqLSCXG.html#a24266be1b19ba8cbf9bd697e9da2f380">sfp_txp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DaqLSCXG_8vhd_source.html#l00012">12</a> of file <a class="el" href="DaqLSCXG_8vhd_source.html">DaqLSCXG.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/<a class="el" href="DaqLSCXG_8vhd_source.html">DaqLSCXG.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
